From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libxslt/
Date: Tue, 14 May 2019 05:21:07 +0000 (UTC) [thread overview]
Message-ID: <1557811255.9128cdb81b317f56cf4605404e556b8681152fe9.robbat2@gentoo> (raw)
commit: 9128cdb81b317f56cf4605404e556b8681152fe9
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue May 14 05:20:16 2019 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue May 14 05:20:55 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9128cdb8
dev-libs/libxslt: bump with patch for CVE-2019-11068
Fixes: https://bugs.gentoo.org/684206
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
dev-libs/libxslt/Manifest | 2 +
dev-libs/libxslt/libxslt-1.1.33-r1.ebuild | 125 ++++++++++++++++++++++++++++++
2 files changed, 127 insertions(+)
diff --git a/dev-libs/libxslt/Manifest b/dev-libs/libxslt/Manifest
index 50121a97439..3693575aedd 100644
--- a/dev-libs/libxslt/Manifest
+++ b/dev-libs/libxslt/Manifest
@@ -1 +1,3 @@
DIST libxslt-1.1.32.tar.gz 3440715 BLAKE2B 8d5dead5788d8d09ab121d6e33397ee8ed8836f573adba4b5f0e3f2e1410acfca0c50dbe06ea3b50a2df819aa01e7522902fbd5270e5329075b854881150ab64 SHA512 e1ed3c103cd4c9897e7dd2360a11f63cf30382b7566ce6fcc81117804e203714446b5a62179ce628c3834b0b32ecdeeceecbdfa417507ce9ed5a107a0ebefb39
+DIST libxslt-1.1.33-CVE-2019-11068.patch 3965 BLAKE2B eb3a0741ac9f464e31e8edd276fec4d837c63676a56a446ad42a0e251508bacb0129cbe18783de305336eaa32b189ffc23e95e03cfd5f940d4dee376f1fa0f8c SHA512 9a97c5038809aaf64cb4eb7d67b95acc4b62236d7613a5f753e2a0f4c9e707c22cd07bda2e518d3f36a40b9ed5aa93496b743998c7adadb84ca147e045e35948
+DIST libxslt-1.1.33.tar.gz 3444093 BLAKE2B 3457e5b62328ccbc48fbc5f71bf8a54c195c0059dd18afa38e6916e74c57e72601970446210c7584d5410b956e3bbb8cd4b852ec71e0a13c4441e6de095d86d1 SHA512 ebbe438a38bf6355950167d3b580edc22baa46a77068c18c42445c1c9c716d42bed3b30c5cd5bec359ab32d03843224dae458e9e32dc61693e7cf4bab23536e0
diff --git a/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild b/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild
new file mode 100644
index 00000000000..c9089c61ace
--- /dev/null
+++ b/dev-libs/libxslt/libxslt-1.1.33-r1.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+
+inherit autotools ltprune python-r1 toolchain-funcs multilib-minimal
+
+DESCRIPTION="XSLT libraries and tools"
+HOMEPAGE="http://www.xmlsoft.org/"
+SRC_URI="ftp://xmlsoft.org/${PN}/${P}.tar.gz
+ https://gitlab.gnome.org/GNOME/libxslt/commit/e03553605b45c88f0b4b2980adfbbb8f6fca2fd6.patch -> libxslt-1.1.33-CVE-2019-11068.patch"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="crypt debug examples python static-libs elibc_Darwin"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ >=dev-libs/libxml2-2.9.1-r5:2[${MULTILIB_USEDEP}]
+ crypt? ( >=dev-libs/libgcrypt-1.5.3:0=[${MULTILIB_USEDEP}] )
+ python? (
+ ${PYTHON_DEPS}
+ dev-libs/libxml2:2[python,${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/xslt-config
+)
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/libxslt/xsltconfig.h
+)
+
+src_prepare() {
+ default
+
+ DOCS=( AUTHORS ChangeLog FEATURES NEWS README TODO )
+
+ # Simplify python setup
+ # https://bugzilla.gnome.org/show_bug.cgi?id=758095
+ eapply "${FILESDIR}"/1.1.32-simplify-python.patch
+ eapply "${FILESDIR}"/${PN}-1.1.28-disable-static-modules.patch
+ eapply "${DISTDIR}"/libxslt-1.1.33-CVE-2019-11068.patch
+
+ eautoreconf
+ # If eautoreconf'd with new autoconf, then epunt_cxx is not necessary
+ # and it is propably otherwise too if upstream generated with new
+ # autoconf
+# epunt_cxx
+ # But Prefix always needs elibtoolize if not eautoreconf'd.
+# elibtoolize
+}
+
+multilib_src_configure() {
+ libxslt_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --with-html-dir="${EPREFIX}"/usr/share/doc/${PF} \
+ --with-html-subdir=html \
+ $(use_with crypt crypto) \
+ $(use_with debug) \
+ $(use_with debug mem-debug) \
+ $(use_enable static-libs static) \
+ "$@"
+ }
+
+ libxslt_py_configure() {
+ mkdir -p "${BUILD_DIR}" || die # ensure python build dirs exist
+ run_in_build_dir libxslt_configure --with-python
+ }
+
+ libxslt_configure --without-python # build python bindings separately
+
+ if multilib_is_native_abi && use python; then
+ python_foreach_impl libxslt_py_configure
+ fi
+}
+
+multilib_src_compile() {
+ default
+ multilib_is_native_abi && use python && libxslt_foreach_py_emake all
+}
+
+multilib_src_test() {
+ default
+ multilib_is_native_abi && use python && libxslt_foreach_py_emake test
+}
+
+multilib_src_install() {
+ # "default" does not work here - docs are installed by multilib_src_install_all
+ emake DESTDIR="${D}" install
+
+ if multilib_is_native_abi && use python; then
+ libxslt_foreach_py_emake \
+ DESTDIR="${D}" \
+ docsdir="${EPREFIX}"/usr/share/doc/${PF}/python \
+ EXAMPLE_DIR="${EPREFIX}"/usr/share/doc/${PF}/python/examples \
+ install
+ python_foreach_impl python_optimize
+ fi
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if ! use examples && use python; then
+ rm -r "${ED}"/usr/share/doc/${PF}/python/examples || die
+ fi
+
+ prune_libtool_files --modules
+}
+
+libxslt_foreach_py_emake() {
+ libxslt_py_emake() {
+ pushd "${BUILD_DIR}/python" > /dev/null || die
+ emake "$@"
+ popd > /dev/null
+ }
+ local native_builddir=${BUILD_DIR}
+ python_foreach_impl libxslt_py_emake top_builddir="${native_builddir}" "$@"
+}
next reply other threads:[~2019-05-14 5:21 UTC|newest]
Thread overview: 150+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-05-14 5:21 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-27 14:52 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libxslt/ Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2025-03-27 14:52 Sam James
2024-12-07 2:33 Sam James
2024-11-14 3:42 Sam James
2024-11-10 21:31 Sam James
2024-07-06 15:54 Michał Górny
2024-06-24 0:13 Sam James
2024-01-30 13:46 Sam James
2023-12-28 3:43 Sam James
2023-12-21 10:39 Arthur Zamarin
2023-12-21 7:27 Arthur Zamarin
2023-11-17 12:07 Sam James
2023-08-15 3:17 Sam James
2023-07-09 11:03 Arthur Zamarin
2023-07-09 11:03 Arthur Zamarin
2023-07-09 9:01 Sam James
2023-07-09 9:01 Sam James
2023-07-09 9:01 Sam James
2023-07-09 9:01 Sam James
2023-05-25 4:32 Sam James
2023-05-25 4:32 Sam James
2023-05-10 1:31 Sam James
2023-05-10 1:31 Sam James
2023-05-10 1:31 Sam James
2023-03-10 7:45 Sam James
2022-12-07 17:51 Sam James
2022-10-29 21:32 Sam James
2022-10-09 8:53 Agostino Sarubbo
2022-10-09 8:52 Agostino Sarubbo
2022-10-09 8:50 Agostino Sarubbo
2022-10-09 8:49 Agostino Sarubbo
2022-10-09 5:22 Arthur Zamarin
2022-10-09 5:22 Arthur Zamarin
2022-10-08 23:10 Sam James
2022-10-08 23:10 Sam James
2022-08-29 19:06 Sam James
2022-08-29 19:06 Sam James
2022-08-18 3:10 Sam James
2022-05-31 9:37 Sam James
2022-04-29 7:59 WANG Xuerui
2022-04-03 5:18 Sam James
2022-04-02 3:44 Sam James
2022-03-13 1:19 Sam James
2022-03-07 0:01 Sam James
2022-03-06 8:00 Sam James
2022-03-02 9:07 Agostino Sarubbo
2022-03-02 9:06 Agostino Sarubbo
2022-03-02 9:05 Agostino Sarubbo
2022-03-02 6:52 Agostino Sarubbo
2022-03-02 6:49 Agostino Sarubbo
2022-02-18 2:14 Sam James
2022-02-17 22:52 Sam James
2022-01-03 23:26 David Seifert
2022-01-01 9:38 Sam James
2021-10-31 18:03 Sam James
2021-10-30 22:55 Sam James
2021-10-29 19:20 Sam James
2021-10-29 19:20 Sam James
2021-10-29 18:59 Sam James
2021-10-29 18:59 Sam James
2021-10-29 18:54 Sam James
2021-10-29 18:32 Sam James
2021-07-31 13:40 Michał Górny
2021-05-13 22:19 Sam James
2021-03-11 17:47 Sam James
2021-03-11 17:47 Sam James
2021-02-05 10:37 Sam James
2020-12-27 14:21 Fabian Groffen
2020-12-10 10:43 Lars Wendler
2020-11-14 9:19 Mikle Kolyada
2020-11-06 15:19 Sam James
2020-11-05 16:16 Sam James
2020-10-29 22:06 Sergei Trofimovich
2020-09-11 16:57 Sergei Trofimovich
2020-09-06 16:17 Sam James
2020-08-31 4:03 Sam James
2020-08-17 1:10 Sam James
2020-08-15 7:26 Sergei Trofimovich
2020-08-14 17:19 Sam James
2020-08-14 16:03 Sam James
2020-08-12 10:50 Sam James
2020-08-12 4:02 Sam James
2020-08-12 4:02 Sam James
2020-08-06 19:44 Sam James
2020-08-06 17:42 Sam James
2019-07-07 18:58 Thomas Deutschmann
2019-07-07 18:58 Thomas Deutschmann
2019-07-07 18:58 Thomas Deutschmann
2019-06-13 4:28 Markus Meier
2019-06-04 18:51 Agostino Sarubbo
2019-06-04 7:53 Tobias Klausmann
2019-05-22 7:36 Sergei Trofimovich
2019-05-20 11:47 Mikle Kolyada
2019-05-17 19:08 Sergei Trofimovich
2019-05-14 18:36 Aaron Bauman
2019-05-04 18:38 Andreas K. Hüttel
2018-09-16 18:17 Mikle Kolyada
2018-05-08 22:29 Matt Turner
2018-05-08 19:13 Sergei Trofimovich
2018-05-01 20:18 Mikle Kolyada
2018-04-28 11:32 Mikle Kolyada
2018-04-26 6:41 Sergei Trofimovich
2018-04-26 5:03 Matt Turner
2018-04-26 5:03 Matt Turner
2018-04-25 10:05 Mart Raudsepp
2018-04-25 6:08 Sergei Trofimovich
2018-04-24 19:58 Mikle Kolyada
2018-03-05 18:09 Mike Frysinger
2018-03-02 17:07 Mart Raudsepp
2017-12-27 19:53 Fabian Groffen
2017-12-13 9:47 Mart Raudsepp
2017-12-12 18:41 Markus Meier
2017-12-04 14:41 Agostino Sarubbo
2017-12-02 10:41 Sergei Trofimovich
2017-11-23 20:47 Sergei Trofimovich
2017-11-18 13:20 Sergei Trofimovich
2017-11-06 20:49 Tobias Klausmann
2017-11-04 13:04 Sergei Trofimovich
2017-04-14 16:28 Michał Górny
2017-04-12 19:30 Mike Frysinger
2017-03-29 0:02 Michael Weber
2017-03-28 23:22 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-24 21:29 Michael Weber
2017-02-21 9:16 Tobias Klausmann
2017-02-18 14:44 Agostino Sarubbo
2017-01-29 16:19 Fabian Groffen
2016-07-30 10:27 Jeroen Roovers
2016-06-08 19:53 Markus Meier
2016-06-07 7:03 Tobias Klausmann
2016-05-31 3:23 Mike Frysinger
2016-02-29 8:46 Stephen Klimaszewski
2016-01-09 7:10 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-11-21 14:35 Markus Meier
2015-11-18 11:00 Agostino Sarubbo
2015-11-18 8:57 Agostino Sarubbo
2015-11-15 18:26 Matt Turner
2015-11-13 9:59 Agostino Sarubbo
2015-11-13 6:59 Jeroen Roovers
2015-11-13 6:33 Jeroen Roovers
2015-10-01 2:17 Mike Frysinger
2015-09-25 7:11 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1557811255.9128cdb81b317f56cf4605404e556b8681152fe9.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox